Subject: Re: [PATCH 03/04] Freescale Ethernet combined driver

From: Dan Malek <[email-masked]>
Date: Tue, 10 May 2005 14:24:52 -0400

On May 10, 2005, at 10:53 AM, Rune Torgersen wrote:

> For 8xx/82xx (and other PQ cpus) there is a lot of drivers liberally
> using
> __pa and __va to get physical and virtual adresses for structures and
> buffer descriptor tables for the CPM.

I changed nearly all of these in 2.4 when the DMA assist functions
came into being.  Unfortunately, many of the patches submitted to
these drivers over time were from out of date sources that seemed
to revert back to old behavior instead of making the updates adapt
the new.  From looking at the CPM support functions in 2.6 recently,
I can't believe it even works.  In some cases there are conflicting
implementations sharing information that is just by luck works.

> What would the preferred way of handling both of these be?

Read DMA-API.txt

Thanks.

	-- Dan